/*
  Copyright (C) 2012 Alessandro Bugatti (alessandro.bugatti@istruzione.it)

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

/*! \file
 *  \brief Esempio di utilizzo della libreria Very Simple Graphic Library
 *  per creare figure complesse componendo figure semplici
 *  \author Alessandro Bugatti
 *  \version 0.1
 *  \date  Creazione 18/12/2012
 *  \date  Ultima modifica 18/12/2012
 */

#include <math.h>
#include "vsgl_types.h"
#include "vsgl.h"

int main(int argc, char *argv[])
{
    float angolo;
    int cx, cy;
    int x,y;
    //Crea un pannello 256 x 256. Essendo il terzo parametro a 0 viene creato finestrato
    inizializza_grafica(256,256,0,"figure_complesso");
    cx = LARGHEZZA_DISEGNO/2;
    cy = ALTEZZA_DISEGNO/2;
    //Vengono creati una serie di cerchi il cui centro si muove sui punti
    //di una circonferenza con centro nel centro della finestra e di raggio
    //50. Anche i colori vengono alterati a secondo della posizione del
    //cerchio disegnato
    for (angolo = 0; angolo < 2*M_PI; angolo += M_PI/16)
    {
        x = 50 * sin(angolo);
        y = 50 * cos(angolo);
        crea_cerchio(cx + x, cy + y, 30, crea_colore(255*(angolo/(2*M_PI)),0,255 - 255*(angolo/(2*M_PI))));
    }
    disegna_oggetti();
    //Tutte le funzioni di disegno non hanno effetto se non viene chimata la funzione
    //che aggiorna ciò che si vede a schermo
    aggiorna_schermo();
    //Attende la pressione di un tasto per continuare. Se non ci fosse
    //il programma si chiuderebbe subito senza dare il tempo di vedere quanto fatto
    pausa();
    return 0;
}

