/*
  Copyright (C) 2012 Alessandro Bugatti (alessandro.bugatti@istruzione.it)

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

/*! \file
 *  \brief Esempio di utilizzo della libreria Very Simple Graphic Library
 *  per creare semplici figure geometriche e visualizzarle
 *  \author Alessandro Bugatti
 *  \version 0.1
 *  \date  Creazione 18/12/2012
 *  \date  Ultima modifica 18/12/2012
 */

#include "vsgl_types.h"
#include "vsgl.h"

int main(int argc, char *argv[])
{
    //Crea un pannello 256 x 256. Essendo il terzo parametro a 0 viene creato finestrato
    inizializza_grafica(256,256,0,"figure_semplici");
    //Vengono create quattro diverse figure
    //Cerchio con centro in (50,50), raggio 30 e colore rosso
    crea_cerchio(50,50,30, crea_colore(255,0,0));
    //Rettangolo con angolo superiore sinistro in (60,60), larghezza 40 e
    //altezza 100 e colore verde
    crea_rettangolo(60,60,40,100,crea_colore(0,255,0));
    //Disco pieno con centro in (200,100), raggio 40 e colore blu
    crea_disco(200,100,40,crea_colore(0,0,255));
    //Linea che va dall'angolo (0,0), cioè lo spigolo in alto a sinistra,
    //a (255,255), cioè lo spigolo in basso a destra, di colore bianco
    crea_linea(0,0,255,255,crea_colore(255,255,255));
    //Gli oggetti creati non vengono disegnati se non chiamando la funzione
    //disegna_oggetti
    disegna_oggetti();
    //Tutte le funzioni di disegno non hanno effetto se non viene chimata la funzione
    //che aggiorna ciò che si vede a schermo
    aggiorna_schermo();
    //Attende la pressione di un tasto per continuare. Se non ci fosse
    //il programma si chiuderebbe subito senza dare il tempo di vedere quanto fatto
    pausa();
    return 0;
}

