/*
  Copyright (C) 2009 Alessandro Bugatti (alessandro.bugatti@istruzione.it)

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

/*! \file
 *  \brief Primo esempio di utilizzo della libreria Very Simple Graphic Library.
 *  Viene creata una finestra e tutti i pixel vengono colorati di
 *  colori diversi secondo un semplice algoritmo che altera i colori.
 *  \author Alessandro Bugatti
 *  \version 0.1
 *  \date  Creazione 17/05/2012
 *  \date  Ultima modifica 29/10/2012
 */

#include "vsgl_types.h"
#include "vsgl.h"

int main(int argc, char *argv[])
{
    //Crea un pannello 256 x 256. Essendo il terzo parametro a 0 viene creato finestrato
    inizializza_grafica(256,256,0,"Esempio");
    //LARGHEZZA_DISEGNO e ALTEZZA_DISEGNO sono variabili gloabali della libreria che vengono
    //automaticamente valorizzate con i valori di larghezza
    //e altezza dello schermo creato
    for (int x = 0; x < LARGHEZZA_DISEGNO; x++)
        for (int y = 0; y < ALTEZZA_DISEGNO; y++)
            //disegna un punto alle coordinate x,y di colore variabile
            disegna_punto(x, y, crea_colore(x/2, y/2, 128));
    //Questo frammento di programma serve solo a mostrare a video la versione
    //della libreria che si sta utilizzando, può essere rimosso e non
    //apparirà più a video la versione
    char scritta[100], versione_corrente[100];
    strcpy(scritta, "VSGL versione: ");
    versione(versione_corrente);
    strcat(scritta, versione_corrente);
    scrivi(0,0,scritta);
    //Tutte le funzioni di disegno non hanno effetto se non viene chimata la funzione
    //che aggiorna ciò che si vede a schermo
    aggiorna_schermo();
    //Attende la pressione di un tasto per continuare. Se non ci fosse
    //il programma si chiuderebbe subito senza dare il tempo di vedere quanto fatto
    pausa();
    return 0;
}

